#
# spec file for package python3-args
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-args
Version:        0.1.0
Release:        1.2
License:        BSD-2-Clause
Summary:        Command Arguments for Humans
Url:            https://github.com/kennethreitz/args
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/e5/1c/b701b3f4bd8d3667df8342f311b3efaeab86078a840fb826bd204118cc6b/args-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This simple module gives you an elegant interface for your command line argumemnts.

%prep
%setup -q -n args-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%changelog
* Sun Oct  9 2016 sebix+novell.com@sebix.at
- initial packaging of pypi package args
